Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1052854 - [RHEVM] log collector cannot get list of hypervisors from API
Summary: [RHEVM] log collector cannot get list of hypervisors from API
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-log-collector
Version: 3.4.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.4.0
Assignee: Eli Mesika
QA Contact: Petr Beňas
URL:
Whiteboard: integration
Depends On:
Blocks: 1035825 1035826 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-14 08:53 UTC by Martin Pavlik
Modified: 2014-09-18 12:24 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
output of engine-log-collector -v (deleted)
2014-01-14 08:53 UTC, Martin Pavlik
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 23488 None None None Never
oVirt gerrit 24240 None None None Never
Red Hat Bugzilla 1059692 None None None Never

Internal Links: 1059692

Description Martin Pavlik 2014-01-14 08:53:39 UTC
Created attachment 849811 [details]
output of engine-log-collector -v

Description of problem:
running engine-log-collector on RHEVM 3.4 returns following error:

ERROR: Unable to connect to REST API.  Reason: Bad Request
ERROR: _get_hypervisors_from_api: 
status: 400
reason: Bad Request

it results in

INFO: No hypervisors were selected, therefore no hypervisor data will be collected.


Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.4.0-0.2.master.20140106180914.el6 

How reproducible:
100%

Steps to Reproduce:
1. working setup with host
2. run engine-log-collector


Actual results:
no logs from hypervisors collected

Expected results:
logs from hypervisors collected

Additional info:
this bug is also upstream
oVirt Engine Version: 3.4.0-0.2.master.20131216200143.git14d5559.fc19 


Please provide the REST API password for the admin@internal oVirt Engine user (CTRL+D to skip): 
DEBUG: API Vendor(ovirt.org)	API Version(3.4.0)
ERROR: Unable to connect to REST API.  Reason: Bad Request
ERROR: _get_hypervisors_from_api: 
status: 400
reason: Bad Request
detail: statementcallback; sql [select * from (select * from storage pool where ( id in (select storage pool with storage domain.id from  storage pool with storage domain  ))  order by name asc ) as t1 offset (-2147483648 -1) limit 2147483647]; error: integer out of range; nested exception is org.postgresql.util.psqlexception: error: integer out of range
INFO: No hypervisors were selected, therefore no hypervisor data will be collected.
Creating compressed archive...
DEBUG: calling(['xz', '--version'])

Comment 1 Petr Beňas 2014-02-10 15:09:46 UTC
Also reproducible in ovirt-log-collector-3.4.0-0.3.beta2.fc19.noarch.

Comment 3 Sandro Bonazzola 2014-02-10 16:32:19 UTC
Upstream bug #1059692

Comment 4 Petr Beňas 2014-02-25 08:25:42 UTC
Verified in ovirt-log-collector-3.4.0-0.5.beta3.el6.noarch.

Comment 5 Itamar Heim 2014-06-12 14:09:37 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.